function State() {
    this.events_panel_id = 0;
    
    this.all_events = null;
    this.period_type = "day";
    this.reference_date = moment();

    this.username = null;
    this.password = null;

    this.load = function() {
        this.username = window.localStorage.getItem("username");
        this.password = window.localStorage.getItem("password");
        var stored_events = window.localStorage.getItem("events");

        if (this.username !== null && this.password !== null && stored_events !== null) { //Déjà connecté
            this.all_events = events.parseEvents(stored_events);
            return true;
        }

        return false;
    };

    this._setOrReset = function(key, value, repr) {
        if (value !== null)
            window.localStorage.setItem(key, repr);
        else
            window.localStorage.removeItem(key);
    };

    this.save = function() {
        this._setOrReset("username", this.username, this.username);
        this._setOrReset("password", this.password, this.password);
        this._setOrReset("events", this.all_events, JSON.stringify(this.all_events));
    };
    
    this.currentPanel = function() {
        return $("#panel" + this.events_panel_id);
    };
    
    this.hiddenPanel = function() {
        return $("#panel" + ((this.events_panel_id + 1) % 2));
    };
}